Skip to main content
PATCH
/
v2
/
referral
/
partners
/
{partner_id}
/
organizations
/
{organization_id}
Update Organization For Referral
curl --request PATCH \
  --url https://api.trykintsugi.com/v2/referral/partners/{partner_id}/organizations/{organization_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "businessName": "<string>",
  "dba": "<string>",
  "ein": "<string>",
  "incorporationState": "<string>",
  "companyAddress1": "<string>",
  "companyAddress2": "<string>",
  "companyCity": "<string>",
  "companyState": "<string>",
  "companyPostalCode": "<string>",
  "businessDescription": "<string>",
  "firstOperationsDate": "2023-12-25",
  "naics": "<string>",
  "businessPhone": "<string>",
  "businessEmail": "<string>"
}
'
{
  "organizationId": "<string>",
  "updatedFields": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

partner_id
string
required
organization_id
string
required

Body

application/json
businessName
string | null

Legal business name.

Maximum string length: 200
entityType
enum<string> | null

Business entity type (e.g. LLC, S_CORPORATION).

Available options:
C_CORPORATION,
COOPERATIVE_CO_OP,
CORPORATION,
GENERAL_PARTNERSHIP,
HYBRID_LLC,
JOINT_VENTURE,
LLC,
LLC_TAXED_AS_C_CORPORATION,
LLC_TAXED_AS_S_CORPORATION,
LIMITED_LIABILITY_LIMITED_PARTNERSHIP,
LIMITED_LIABILITY_PARTNERSHIP,
LIMITED_PARTNERSHIP,
MULTI_MEMBER_LLC,
NONPROFIT,
PROFESSIONAL_LLC,
SINGLE_MEMBER_LLC,
S_CORPORATION,
SOLE_PROPRIETORSHIP
dba
string | null

Doing-business-as name.

Maximum string length: 200
ein
string | null

Employer Identification Number.

Maximum string length: 200
incorporationState
string | null

State of incorporation.

Maximum string length: 200
companyAddress1
string | null

Company street address line 1.

Maximum string length: 200
companyAddress2
string | null

Company street address line 2.

Maximum string length: 200
companyCity
string | null

Company city.

Maximum string length: 200
companyState
string | null

Company state.

Maximum string length: 200
companyPostalCode
string | null

Company postal/ZIP code.

Maximum string length: 100
companyCountryCode
enum<string> | null

Company country code (e.g. US).

Available options:
AF,
AX,
AL,
DZ,
AS,
AD,
AO,
AI,
AQ,
AG,
AR,
AM,
AW,
AU,
AT,
AZ,
BS,
BH,
BD,
BB,
BY,
BE,
BZ,
BJ,
BM,
BT,
BO,
BQ,
BA,
BW,
BV,
BR,
IO,
BN,
BG,
BF,
BI,
CV,
KH,
CM,
CA,
KY,
CF,
TD,
CL,
CN,
CX,
CC,
CO,
KM,
CG,
CD,
CK,
CR,
HR,
CU,
CW,
CY,
CZ,
DK,
DJ,
DM,
DO,
EC,
EG,
SV,
GQ,
ER,
EE,
SZ,
ET,
FK,
FO,
FJ,
FI,
FR,
GF,
PF,
TF,
GA,
GM,
GE,
DE,
GH,
GI,
GR,
GL,
GD,
GP,
GU,
GT,
GG,
GN,
GW,
GY,
HT,
HM,
VA,
HN,
HK,
HU,
IS,
IN,
ID,
IR,
IQ,
IE,
IM,
IL,
IT,
CI,
JM,
JP,
JE,
JO,
KZ,
KE,
KI,
KP,
KR,
KW,
KG,
LA,
LV,
LB,
LS,
LR,
LY,
LI,
LT,
LU,
MO,
MG,
MW,
MY,
MV,
ML,
MT,
MH,
MQ,
MR,
MU,
YT,
MX,
FM,
MD,
MC,
MN,
ME,
MS,
MA,
MZ,
MM,
NA,
NR,
NP,
NL,
NC,
NZ,
NI,
NE,
NG,
NU,
NF,
MK,
MP,
NO,
OM,
PK,
PW,
PS,
PA,
PG,
PY,
PE,
PH,
PN,
PL,
PT,
PR,
QA,
RE,
RO,
RU,
RW,
BL,
SH,
KN,
LC,
MF,
PM,
VC,
WS,
SM,
ST,
SA,
SN,
RS,
SC,
SL,
SG,
SX,
SK,
SI,
SB,
SO,
ZA,
GS,
SS,
ES,
LK,
SD,
SR,
SJ,
SE,
CH,
SY,
TW,
TJ,
TZ,
TH,
TL,
TG,
TK,
TO,
TT,
TN,
TR,
TM,
TC,
TV,
UG,
UA,
AE,
GB,
US,
UM,
UY,
UZ,
VU,
VE,
VN,
VG,
VI,
WF,
EH,
YE,
ZM,
ZW,
XK,
ZZ_EU
businessDescription
string | null

Brief description of the business.

Maximum string length: 2000
firstOperationsDate
string<date> | null

Date the business began operations (YYYY-MM-DD).

naics
string | null

NAICS industry code.

Maximum string length: 10
businessPhone
string | null

Business phone number.

Maximum string length: 100
businessEmail
string | null

Business email address.

Maximum string length: 100

Response

Successful Response

organizationId
string
required
updatedFields
string[]
required

Field names that were written to the organization profile.